DOVEADM-SEARCH(1)

NAME
doveadm-search - Show a list of mailbox GUIDs and message UIDs matching given search query.

SYNOPSIS
doveadm [-Dv] [-f formatter] search [-S socket_path] search_query
doveadm [-Dv] [-f formatter] search [-S socket_path] -A search_query
doveadm [-Dv] [-f formatter] search [-S socket_path] -u user search_query

DESCRIPTION
The search command is used to find matching messages. doveadm(1) will print the mailbox's guid and the message's uid for each match.
When used with the -A or -u wildcard options, doveadm(1) will print the fields username, mailbox-guid and uid for each matching message.

In the first form, doveadm(1) will executed the search action with the environment of the logged in system user.

In the second form, the command will be performed for all users.

In the third form, only matching mails of the given user(s) will be searched. @INCLUDE:global-options-formatter@

This command uses by default the output formatter flow (without the key= prefix).

Command specific options: @INCLUDE:option-A@ @INCLUDE:option-S-socket@ @INCLUDE:option-u-user@

ARGUMENTS

search_query
    Show messages matching this search query. See doveadm-search-query(7) for details.

EXAMPLE
This example demonstrates how to search in user bob's dovecot mailboxes all messages, which contains the word "todo" in the Subject: header.

doveadm search -u bob mailbox dovecot\* subject todo
3a94c928d66ebe4bda04000015811c6a	8
3a94c928d66ebe4bda04000015811c6a	25
3a94c928d66ebe4bda04000015811c6a	45

The search command is mainly useful when used together with doveadm fetch command. For example to save message bodies of all messages from INBOX that have "todo" in subject, use:

doveadm search -u bob mailbox INBOX subject todo |
while read guid uid; do
  doveadm fetch -u bob body mailbox-guid $guid uid $uid > msg.$uid
done
@INCLUDE:reporting-bugs@

SEE ALSO
doveadm(1), doveadm-fetch(1), doveadm-search-query(7)